[package]
name = "api"
version = "0.1.0"
edition = "2024"

[dependencies]
actix-web = "4.12.1"
chrono = { version = "0.4.43", features = ["serde"] }
jsonwebtoken = { version = "10.2.0", features = ["rust_crypto"] }
reqwest = { version = "0.13.1", features = ["json", "query"] }
sentry = { version = "0.46.1", features = ["actix", "tracing"] }
serde = "1.0.228"
sqlx = { version = "0.8.6", features = ["postgres", "runtime-tokio", "tls-native-tls"] }
thiserror = "2.0.17"
tokio = "1.49.0"
tracing = "0.1.44"
tracing-actix-web = "0.7.21"
tracing-subscriber = { version = "0.3.22", features = ["env-filter"] }
